#include "path_name.h"

#include <library/cpp/logger/global/global.h>

#include <util/folder/path.h>

TPathName::TPathName(const TString& pathname)
    : Pathname(pathname)
    , Basename(TFsPath(pathname).Basename())
{
    VERIFY_WITH_LOG(Pathname != Basename, "TPathName requires a path %s", Pathname.data());
}
